happy-lib-2.1.7: Happy is a parser generator for Haskell implemented using this library

Safe Haskell | None
Language | Haskell98

Happy.Tabular

# Documentation

data Tables Source #

Constructors

Tables |

Fields

- lr0items :: [ItemSetWithGotos]
- la_spont :: [(Int, Lr0Item, NameSet)]
- la_prop :: Array Int [(Lr0Item, Int, Lr0Item)]
- lookaheads :: Array Int [(Lr0Item, NameSet)]
- lr1items :: [([Lr1Item], [(Name, Int)])]
- gotoTable :: GotoTable
- actionTable :: ActionTable
- conflicts :: (Array Int (Int, Int), (Int, Int))
- redundancies :: ([Int], [String])

genTables :: SelectReductions -> Grammar e -> Tables Source #

type SelectReductions = LRAction -> [Int] Source #

select_all_reductions :: SelectReductions Source #

select_first_reduction :: SelectReductions Source #